Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib.sql
Class ColumnData

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.lib.sql.StreamableNode
                  |
                  +--org.apache.xalan.lib.sql.ColumnData

public class ColumnData
extends StreamableNode
implements Text

Represents the col element text node, i.e., the column value.

Constructor Summary
`ColumnData(XStatement statement, Column parent)`

Method Summary
`void` | `appendData(java.lang.String arg)` Not supported.
`void` | `deleteData(int offset, int count)` Not supported.
`java.lang.String` | `getData()` Return the value for this col element text node.
`Node` | `getFirstChild()` Return null.
`int` | `getLength()` The number of 16-bit units that are available through `data` and the `substringData` method below.
`Node` | `getNextSibling()` This always returns null.
`java.lang.String` | `getNodeName()` Return "#Text".
`short` | `getNodeType()` Return Node.TEXT_NODE.
`java.lang.String` | `getNodeValue()` Return the value for this col element text node.
`Document` | `getOwnerDocument()` The owner of a col text ode is the #Document (represented by XStatement).
`Node` | `getParentNode()` The parent node of the col text node is the col node.
`boolean` | `hasChildNodes()` Tell if there are any children of the col node, which is always false.
`void` | `insertData(int offset, java.lang.String arg)` Not supported.
`void` | `replaceData(int offset, int count, java.lang.String arg)` Not supported.
`void` | `setData(java.lang.String data)` Not supported.
`Text` | `splitText(int offset)`
`java.lang.String` | `substringData(int offset, int count)` Not supported.

Methods inherited from class org.apache.xalan.lib.sql.StreamableNode
`getAttributes, getLocalName, getNamedItem, getNamedItemNS, getNamespaceURI, getNodeTest, getPrefix, getUid, getXStatement, item, removeNamedItem, removeNamedItemNS, setNamedItem, setNamedItemNS, setNodeTest, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLastChild, getOwnerElement, getPreviousSibling, getSpecified, getTagName, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNodeValue, setPrefix, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnData

    public ColumnData(XStatement statement,
                      Column parent)

Method Detail

### getNodeType

    public short getNodeType()

  Return Node.TEXT_NODE.
  Overrides:
    getNodeType in class StreamableNode

### splitText

    public Text splitText(int offset)
                   throws DOMException

  Specified by:
    splitText in interface Text
  Overrides:
    splitText in class UnImplNode

### getData

    public java.lang.String getData()
                             throws DOMException

  Return the value for this col element text node. I.e., return a String representation of the data for this column in the current row.

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws DOMException

  Return the value for this col element text node. I.e., return a String representation of the data for this column in the current row. Calls @link #getNodeValue() getNodeValue()}.
  Overrides:
    getNodeValue in class UnImplNode

### getLength

    public int getLength()

  The number of 16-bit units that are available through `data` and the `substringData` method below. This may have the value zero, i.e., `CharacterData` nodes may be empty.
  Overrides:
    getLength in class StreamableNode

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws DOMException

  Not supported.
  Overrides:
    substringData in class UnImplNode

### appendData

    public void appendData(java.lang.String arg)
                    throws DOMException

  Not supported.
  Overrides:
    appendData in class UnImplNode

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws DOMException

  Not supported.
  Overrides:
    insertData in class UnImplNode

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws DOMException

  Not supported.
  Overrides:
    deleteData in class UnImplNode

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws DOMException

  Not supported.
  Overrides:
    replaceData in class UnImplNode

### setData

    public void setData(java.lang.String data)
                 throws DOMException

  Not supported.
  Overrides:
    setData in class UnImplNode

### getOwnerDocument

    public Document getOwnerDocument()

  The owner of a col text ode is the #Document (represented by XStatement).
  Overrides:
    getOwnerDocument in class StreamableNode

### getNodeName

    public java.lang.String getNodeName()

  Return "#Text".
  Overrides:
    getNodeName in class UnImplNode

### getFirstChild

    public Node getFirstChild()

  Return null.
  Overrides:
    getFirstChild in class UnImplNode

### getNextSibling

    public Node getNextSibling()

  This always returns null.
  Overrides:
    getNextSibling in class UnImplNode

### getParentNode

    public Node getParentNode()

  The parent node of the col text node is the col node.
  Overrides:
    getParentNode in class UnImplNode

### hasChildNodes

    public boolean hasChildNodes()

  Tell if there are any children of the col node, which is always false.
  Overrides:
    hasChildNodes in class UnImplNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.